ScoopParserInternal::Shape Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
ScoopParserInternal::Shape Struct Reference

Internal: the shape of a ScoopParser. More...

## Public Member Functions
| Shape ()
| constructor More...

## Public Attributes
int | m_type
| the shape type More...
MWAWGraphicStyle | m_style
| the graphic style More...
int | m_mode
| the mode: 0 copy, 1: or, ... More...
int | m_page
| the page More...
MWAWBox2f | m_boxes [2]
| the bounding boxes: final and original More...
int | m_rotation
| the rotation More...
int | m_verticalMode
| the vertical position: 0: center, 1: bottom, 2: top, 3: justify More...
bool | m_flips [2]
| the flip flags More...
int | m_local [2]
| the local values: circle: angles, rect: round dimension More...
std::vector< MWAWVec2i > | m_vertices
| the vertices: poly, spline, ... More...
long | m_textId
| the text main id More...
int | m_textLinkId
| the text link id More...
long | m_ids [4]
| the list of ids More...
MWAWEntry | m_entries [4]
| the list of entries More...
std::vector< Shape > | m_children
| the list of children: group More...

## Detailed Description

Internal: the shape of a ScoopParser.

## Constructor & Destructor Documentation

## ◆ Shape()

ScoopParserInternal::Shape::Shape | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_boxes

MWAWBox2f ScoopParserInternal::Shape::m_boxes[2]

the bounding boxes: final and original

Referenced by ScoopParser::readShape(), and ScoopParser::send().

## ◆ m_children

std::vector<Shape> ScoopParserInternal::Shape::m_children

the list of children: group

Referenced by ScoopParser::readShape(), and ScoopParser::send().

## ◆ m_entries

MWAWEntry ScoopParserInternal::Shape::m_entries[4]

the list of entries

Referenced by ScoopParser::readShape(), and ScoopParser::send().

## ◆ m_flips

bool ScoopParserInternal::Shape::m_flips[2]

the flip flags

Referenced by ScoopParser::readShape(), ScoopParser::send(), and Shape().

## ◆ m_ids

long ScoopParserInternal::Shape::m_ids[4]

the list of ids

Referenced by ScoopParser::readShape(), and Shape().

## ◆ m_local

int ScoopParserInternal::Shape::m_local[2]

the local values: circle: angles, rect: round dimension

Referenced by ScoopParser::readShape(), ScoopParser::send(), and Shape().

## ◆ m_mode

int ScoopParserInternal::Shape::m_mode

the mode: 0 copy, 1: or, ...

Referenced by ScoopParser::readShape().

## ◆ m_page

int ScoopParserInternal::Shape::m_page

the page

Referenced by ScoopParser::readShape().

## ◆ m_rotation

int ScoopParserInternal::Shape::m_rotation

the rotation

Referenced by ScoopParser::readShape(), and ScoopParser::send().

## ◆ m_style

MWAWGraphicStyle ScoopParserInternal::Shape::m_style

the graphic style

Referenced by ScoopParser::readShape(), and ScoopParser::send().

## ◆ m_textId

long ScoopParserInternal::Shape::m_textId

the text main id

Referenced by ScoopParser::readShape(), and ScoopParser::send().

## ◆ m_textLinkId

int ScoopParserInternal::Shape::m_textLinkId

the text link id

Referenced by ScoopParser::readShape(), and ScoopParser::send().

## ◆ m_type

int ScoopParserInternal::Shape::m_type

the shape type

Referenced by ScoopParser::readShape(), and ScoopParser::send().

## ◆ m_verticalMode

int ScoopParserInternal::Shape::m_verticalMode

the vertical position: 0: center, 1: bottom, 2: top, 3: justify

Referenced by ScoopParser::readShape(), and ScoopParser::send().

## ◆ m_vertices

std::vector<MWAWVec2i> ScoopParserInternal::Shape::m_vertices

the vertices: poly, spline, ...

Referenced by ScoopParser::readShape(), and ScoopParser::send().

The documentation for this struct was generated from the following file:

- ScoopParser.cxx